Bug 802121 - Unable to compile AMD/ATI fglrx kernel-modules under kernel 2.6.42.9.1
Unable to compile AMD/ATI fglrx kernel-modules under kernel 2.6.42.9.1
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 09:19 EDT by John Mev
Modified: 2012-03-13 06:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-12 09:52:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mev 2012-03-11 09:19:30 EDT
Description of problem:
I own an ATI graphic card, and I use the AMD proprietary driver fglrx since years. 
Habitually when there is a new release of the kernel, DKMS automatically builds the news modules. 

This is impossible with the last 2.6.42.9.1 kernel.
To make the computer run I had to return back to te preceding one, 2.6.43.3.2 which compiles perfectly.

This AMD driver runs also perfectly on RHEL 6

Version-Release number of selected component (if applicable):

kernel/ kernel-devel 2.6.42.9.1

How reproducible:
Install an FC15 system and the proprietary AMD driver
with kernel  2.6.43.3.2, it compiles an runs
with the 2.6.42.9.1
 it produces an error message, see below:

there is the same error trying to build the modules without dkms and compile directly.

  
Actual results:
doesnt' work and fallback to the radeon driver :(

Expected results:
works and is able to run 3D and compiz aso

Additional info:

[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
AMD kernel module generator version 2.1
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
make -C /lib/modules/2.6.42.9-1.fc15.i686.PAE/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1] : on entre dans le répertoire « /usr/src/kernels/2.6.42.9-1.fc15.i686.PAE »
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘KCL_fpu_begin’:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:5804:28: erreur: ‘TS_USEDFPU’ undeclared (first use in this function)
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:5804:28: note: each undeclared identifier is reported only once for each function it appears in
make[2]: *** [/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o] Erreur 1
make[1]: *** [_module_/lib/modules/fglrx/build_mod/2.6.x] Erreur 2
make[1] : on quitte le répertoire « /usr/src/kernels/2.6.42.9-1.fc15.i686.PAE »
make: *** [kmod_build] Erreur 2
build failed with return value 2
Comment 1 Josh Boyer 2012-03-12 09:52:17 EDT
TS_USEDFPU was removed in the stable backport of Linus' FPU handling fixes.  The fglrx code will need to adapt to those changes.
Comment 2 John Mev 2012-03-13 06:19:13 EDT
Thx 

I'll try to tell it them.

Note You need to log in before you can comment on or make changes to this bug.